petsc-3.4.2 2013-07-02

# PCGASMSetTotalSubdomains

Sets the total number of subdomains to use in the generalized additive Schwarz preconditioner. The number of subdomains is cumulative across all processors in pc's communicator. Either all or no processors in the PC communicator must call this routine with the same N. The subdomains will be created automatically during PCSetUp().

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetTotalSubdomains(PC pc,PetscInt N, PetscBool create_local)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| N | - the total number of subdomains cumulative across all processors
| create_local | - whether the subdomains to be created are to be local

### Options Database Key

### To set the total number of subdomains and let PCGASM autocreate them, rather than specify the index sets, use the following options

| -pc_gasm_total_subdomains <n> | - sets the total number of subdomains to be autocreated by PCGASM
| -pc_gasm_subdomains_create_local <true|false> | - whether autocreated subdomains should be local or not (default is true)

By default the GASM preconditioner uses 1 subdomain per processor.

Use PCGASMSetSubdomains() to set subdomains explicitly or to set different numbers of subdomains per processor.

### Keywords

PC, GASM, set, total, global, subdomains, additive Schwarz

### See Also

PCGASMSetSubdomains(), PCGASMSetOverlap(), PCGASMGetSubKSP(),
PCGASMCreateSubdomains2D()

Level:advanced
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages